Screen edge actions set in CCSM (scale/expo) don't work (sometimes) - Wall plugin is probably responsible

Bug #858845 reported by Ankit Vani on 2011-09-25
478
This bug affects 195 people
Affects Status Importance Assigned to Milestone
Compiz
Medium
MC Return
Unity
Invalid
Undecided
Unassigned
Unity Tweak Tool
Undecided
Unassigned
compiz (Ubuntu)
Medium
Unassigned

Bug Description

PROBLEM:
If the unityshell plugin is loaded after compiz plugins like scale or expo, those plugins will lose their "active corner" settings. The settings are still set but don't have any effect. Keyboad shortcuts are not affected.

This looks like a problem in the unityshell plugin.

WORKAROUND:
Re-order the list of plugins to move expo and scale (or whatever else you use) behind unityshell.

In 12.04 the list of plugins is found in this gconf key
/apps/compiz-1/general/screen0/options/active_plugins

In 12.10 it is this dconf key
/org/compiz/profiles/unity/plugins/core/active-plugins
( for some with 12.10 it may be at /org/compiz/profiles/unity/plugins-with-set-keys )
--
old description
--
I have set expo edge to bottom right. After reboot, often this setting does not seem to work. To re-enable expo edge, I have to clear it in compizconfig settings manager and re-set it to bottom right.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: compiz 1:0.9.5.94+bzr20110919-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,snap,place,imgpng,compiztoolbox,gnomecompat,grid,move,vpswitch,mousepoll,resize,regex,session,unitymtgrabhandles,wall,animation,expo,workarounds,fade,scale,unityshell]
CompositorRunning: compiz
Date: Sun Sep 25 17:26:13 2011
DistUpgraded: Log time: 2011-09-02 13:23:21.116927
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus:
 fglrx, 8.881, 3.0.0-10-generic, x86_64: installed
 fglrx, 8.881, 3.0.0-11-generic, x86_64: installed
GraphicsCard:
 ATI Technologies Inc Madison [Mobility Radeon HD 5000 Series] [1002:68c0] (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:02fe]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
JockeyStatus:
 kmod:fglrx - ATI Fire GL (Proprietary, Disabled, Not in use)
 xorg:fglrx - ATI/AMD proprietary FGLRX graphics driver (Proprietary, Enabled, In use)
MachineType: Dell Inc. Studio XPS 1645
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_IN
 LANGUAGE=en_IN:en
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=dabcc9da-5f0e-411a-9d27-8d9eb8dde0af ro quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: Upgraded to oneiric on 2011-09-02 (23 days ago)
dmi.bios.date: 05/11/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A09
dmi.board.vendor: Dell Inc.
dmi.board.version: A09
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A09
dmi.modalias: dmi:bvnDellInc.:bvrA09:bd05/11/2010:svnDellInc.:pnStudioXPS1645:pvrA09:rvnDellInc.:rn:rvrA09:cvnDellInc.:ct8:cvrA09:
dmi.product.name: Studio XPS 1645
dmi.product.version: A09
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.5.94+bzr20110919-0ubuntu1
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs 20090808ubuntu23
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Related branches

Ankit Vani (ankitkv) wrote :
Alex Launi (alexlauni) on 2011-10-05
Changed in compiz (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Diego Cortassa (diego-cortassa) wrote :

It happens to me too...
It seems like unityshell plugin is rewriting the expo plugin configuration.

You can work around the bug by setting expo plugin to be loaded after unityshell:
Just edit /apps/compiz-1/general/screen0/options/active_plugins key in gconf-editor and place expo under unityshell...

wookwangil (wookwangil) wrote :

thanks for Diego Cortassa (diego-cortassa), Its works well now~

dbius (danubiusz) wrote :

Thanks Diego! This worked me too under Ubuntu 12.04.1!

Glyn M Burton (modiford) wrote :

I had a similar issue but with the "Scale" Compiz plugin when clicking the lower-right corner after a reboot. Following Diego's suggested work-around substituting "Scale" instead worked for me. So my personal thanks to you Diego.

summary: - Expo edge setting stops working at times
+ Screen edge actions set in CCSM don't work (sometimes)
Changed in compiz:
status: New → Confirmed
importance: Undecided → Medium
Changed in compiz (Ubuntu):
importance: Low → Medium
Changed in compiz:
milestone: none → 0.9.9.0

Fix for 12.04 posted by Diego does not work for 12.10

matthieu vidal (mvidal0001) wrote :

12.10 : This bug is still there

... even with SRU team release unity (6.12) and compiz (0.9.8)

https://launchpad.net/~unity-team/+archive/sru

launching a new session : Only the unity plugin edge is set.

modifying compiz with ccsm : the unity plugin edge disapear and the other ones (cube and scale) are ok

James Heany (digphan) wrote :

Temporary fix is to use dconf and alert the key:

/org/compiz/profiles/unity/plugins/core/active-plugins

so that 'scale' and 'expo' are last. The problem is during system updates, that key is reverted and the problem comes back so you have to do this anytime that key is alter by a system update.

James Heany (digphan) wrote :

Temporary fix is to use dconf and ALTER the key:
(should have just used the word "edit" instead)

James Heany (digphan) wrote :

Marked bug 986208 ( https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/986208 ) as a duplicate of this one. There is some good information in that bug report too.

tags: added: 12.10 precise quantal
gBug (gigalimit20) wrote :

I confirm that #3(@Janis Petersons https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/986208) solution still works. Fresh installation of Ubuntu 12.10. My settings:
dconf:/org/compiz/profiles/unity/plugins/core
['core', 'composite', 'opengl', 'compiztoolbox', 'decor', 'vpswitch', 'ring', 'resize', 'move', 'gnomecompat', 'widget', 'grid', 'place', 'session', 'mousepoll', 'imgpng', 'wobbly', 'regex', 'animation', 'workarounds', 'fade', 'cube', 'td', 'rotate', 'unitymtgrabhandles', 'ezoom', 'unityshell', 'expo', 'scale']

karl (karl-sebastian-liebich) wrote :

confirmed.

mo (chilloutmo) wrote :

The often quoted #3 fix from the duplicate bug report does not work for "show desktop" as it is not listed in the plugin list.

I have still found no solution to this and my active corner for "show desktop" still does not work without manually changing ccsm settings after every single reboot (which I have just stopped doing).

Matthias Niess (mniess) wrote :

I've got a feeling that bugs outside the default behavior of Ubuntu won't be fixed. There's few people left working on compiz and they probably won't work on bugs that only exist after you use "advanced" features of compiz. This is really too bad ;(

If this bug is really the unity plugin rewriting all shortcuts, maybe we should add unity to this bug?

Matthias Niess (mniess) on 2012-12-19
summary: - Screen edge actions set in CCSM don't work (sometimes)
+ unityshell being last in plugin load-order causes shortcut loss
Matthias Niess (mniess) on 2012-12-19
description: updated
James Heany (digphan) on 2012-12-20
summary: - unityshell being last in plugin load-order causes shortcut loss
+ Screen edge actions set in CCSM don't work (sometimes)unityshell being
+ last in plugin load-order causes shortcut loss
summary: - Screen edge actions set in CCSM don't work (sometimes)unityshell being
- last in plugin load-order causes shortcut loss
+ Screen edge actions set in CCSM don't work (sometimes) - unityshell
+ being last in plugin load-order causes shortcut loss
summary: - Screen edge actions set in CCSM don't work (sometimes) - unityshell
- being last in plugin load-order causes shortcut loss
+ Screen edge actions set in CCSM (scale/expo) don't work (sometimes) -
+ plugin load-order causes the shortcut loss

Updated description.

For most with 12.10, the correct key is located at:
/org/compiz/profiles/unity/plugins/core/active-plugins

For at least one the key is at:
/org/compiz/profiles/unity/plugins-with-set-keys

description: updated
Omer Akram (om26er) on 2013-01-01
no longer affects: unity
matthieu vidal (mvidal0001) wrote :

This bug is still there with "unity staging ppa" for quantal

(compiz 9.9) ...

...

Changed in compiz:
milestone: 0.9.9.0 → 0.9.9.2
Matthias Niess (mniess) wrote :

Are we sure this doesn't affect unity? The way I see it this is caused by the unity plugin and is actually not a compiz bug.

MC Return (mc-return) on 2013-01-27
Changed in compiz:
assignee: nobody → MC Return (mc-return)
Changed in unity:
status: New → Confirmed
MC Return (mc-return) wrote :

If this issue is fixed without regressions by changing the load order, we probably should do it.
We could force Unity to load before Expo and Scale (best via unityshell.xml.in), but there might be other plugins started by screen edge/corner mouse shortcuts as well (showdesktop for example), what about those ?
We could also force them to load after unityshell on a per plugin basis and add this info to the xml.in file of the respective plugin.

No matter how, this bug should finally be fixed...

Opinions ?

Arnaud Thevenet (aeromousse) wrote :

Hi all,

When this bug happened, I used to have it working by moving unity before scale and expo plugins in gconf editor. The bug happens after a kernel update, at least for me.

But now the workaround does not work anymore (I can't remember if it stopped working just from 12.10 or if it once worked with 12.10 and then stopped with a later update, sorry for this...) , and the dconf actions does not work either.
So this might not be as simple as changing the plugins order.

Furthermore, the "Revert to default" in compiz config editor, done on "unity" configuration, crashes Unity permanently. Even after reboot, not Unity interface shows up. The only way was to use the Webupd8 "unity-reset" tool via command line.

If I can do further useful tests, please tell me.

Matthias Niess (mniess) wrote :

Changing the order doesn't solve the bug. It just is a workaround (that for me doesn't work *all* the time). The bug is in the unity plugin overwriting the edge actions (deducing this from the bug not appearing when unity is not loaded and appearing only sometimes when unity is loaded before other plugins).

matthieu vidal (mvidal0001) wrote :

This bug is still there with "unity staging ppa" for quantal

(compiz 9.9) ...

...

Matthias Niess (mniess) wrote :

That is because the bug is not only caused by the plugin load-order. Changing the load-order is a workaround that sometimes works. The problem is still in the unity-plugin.

The problem has been troubling me for years.
For me the it seems now permanently solved after using CompizSettings Config Manager for configuring the edge settings instead of Ubuntu Tweak. I have no idea why.
Confirm behaviour please.

Peter Mertz (frottier) wrote :

Another possible workaround is to re-assign expo edge values session-wise via a script using gconftool.

There is a how-to in this blog post:
http://cannotstunmycat.wordpress.com/2013/03/19/workaround-expo-edge-stops-working-sometimes-in-unity/

On my system this has been a rock-solid "fix" for months now.

matthieu vidal (mvidal0001) wrote :

I confirm how boring this problem is ...

Simpliest workaround :

alt+f2

unity --replace

Sometime compiz freeze at restart then :

Ctrl + Alt + t
unity --replace

then alt+f2 again ...

the command "unity --replace" remains in the Alt+f2 list

Matthias Niess (mniess) wrote :

Starting from Ubuntu 12.10 you can restart unity with

ctrl+alt+f2 -> setsid unity

Maybe the fact that restarting Unity solves the problem at least for the current session helps some of the remaining compiz people. Are there any remaining people who are able to fix compiz bugs?

matthieu vidal (mvidal0001) wrote :

As long as the Ubuntu team will not consider this bug in the Unity Plugin ... Nothing will be done.

The problem is : No future for compiz !

Mir will definetively replace Xorg + Compiz.

Correct me if I'm wrong.

Changed in compiz:
milestone: 0.9.9.2 → 0.9.10.0
christian (chmathieu) wrote :

This bug is still there with raring

(Compiz 0.9.9.0) ...

...

harrychillboy (harrychillboy) wrote :

I have freshly installed Ubuntu 12.10 64bit version and the problem seems to be happening after reboot. I see that on my machine the plugin listed are:

dconf read /org/compiz/profiles/unity/plugins-with-set-keys

['core', 'composite', 'opengl', 'decor', 'vpswitch', 'snap', 'mousepoll', 'resize', 'place', 'move', 'wall', 'grid', 'session', 'animation', 'fade', 'unitymtgrabhandles', 'workarounds', 'scale', 'expo', 'ezoom', 'unityshell']

I am running all default drivers with intel hd4000 graphics. I do not see anyone with a real fix or woraround to this problem. Sad :(

Vorron (worron) wrote :

Ubuntu 13.04.
Screen corners works fine, screen edges doesn't working at all. This bug is very annoying.

MC Return (mc-return) wrote :

Hmm,

@Vorron (worron) and all others affected. Please try to turn off the "Wall" plugin and see if your bug is fixed.

I think wall is the culprit here.

MC Return (mc-return) on 2013-04-26
summary: Screen edge actions set in CCSM (scale/expo) don't work (sometimes) -
- plugin load-order causes the shortcut loss
+ Wall plugin is probably responsible
Changed in compiz:
status: Confirmed → In Progress
Matthias Niess (mniess) wrote :

There are no problems whatsoever when I don't use the unity-plugin (i.e. using gnome-session-fallback + compiz).

MC Return (mc-return) wrote :

@mniess: hmm, strange because I could never reproduce this and was using unityshell, but not wall.
Now I fixed a closely related wall bug (see the branch attached here) and cannot reproduce it because I have the fixed version running here and am too lazy to remove it and retest...

Vorron (worron) wrote :

MC Return (mc-return),

Oh, you are totally right. Disabling Desktop Wall plugin fix the problem. Thanks a lot.

MC Return (mc-return) wrote :

@worron: Thanks for your confirmation !

Well, disabling the plugin is just a workaround ;)
The real fix for this issue is to be found in the branch linked here :)

Matthias Niess (mniess) wrote :

@mc-return: Any quick and dirty way for me to try out the wall-plugin fix without building my own compiz? Im running the compiz version that comes with raring.

MC Return (mc-return) wrote :

@mniess: Once this branch gets merged, you can probably test it in the compiz development PPA, set up by Sam.
This PPA will track latest changes in https://code.launchpad.net/~compiz-team/compiz/0.9.10 the latest development version.

Find the PPA here:

https://launchpad.net/~smspillaz/+archive/compiz-dev

Note: The branch is not yet approved and still needs to land.

James Heany (digphan) wrote :

The bug is still present in 13.04 for me.

PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:compiz at revision 3707, scheduled for release in compiz, milestone 0.9.10.0

Changed in compiz:
status: In Progress → Fix Committed
dino99 (9d9) on 2013-05-19
tags: removed: oneiric
Inoki  (inoki) wrote :

Ubuntu 13.04 x64 here,

just did a re-log and lost anything bound to corners, had to re-enable.

Stephen M. Webb (bregma) on 2013-07-23
Changed in compiz:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (70.8 KiB)

This bug was fixed in the package compiz - 1:0.9.10+13.10.20130822-0ubuntu1

---------------
compiz (1:0.9.10+13.10.20130822-0ubuntu1) saucy; urgency=low

  [ Sam Spilsbury ]
  * Bump version to 0.9.10

  [ Łukasz 'sil2100' Zemczak ]
  * Remove debian/patches/unity_support_test.patch:
    - Running the support test from compiz has bad side effects, from now
      on we run it from Xsession.d
  * Automatic snapshot from revision 3644

  [ Iven Hsu ]
  * Opacify: Only dim the windows above the active window.(LP:
    #1189374). (LP: #1189374)
  * KWD: Fix compile errors with KDE 4.11. The KWin developers made
    kdecorationbridge.h private. See:
    http://lists.freedesktop.org/archives/compiz/2013-March/003479.html
    (LP: #1193792). (LP: #1193792)

  [ Nikolay Martynov ]
  * When static switcher is enabled and has an option to show
    application icon turned on the icons are expected to be ~1/3 of a
    thumbnail (48px). Instead they are displayed in 512px size and
    completely cover everything. This change addresses this issue. See
    LP #1173914. (LP: #1173914, #1186426)

  [ BryanFRitt ]
  * Fixed the non-working Annotate 'Clear' Button. Moved this option's
    CCSM position upwards to keep the button shortcuts together. (LP:
    #1202907). (LP: #1202907)

  [ Mehrdad Afshari ]
  * Added "move window to previous monitor" feature to compiz Put
    plugin. (LP: #1178581)

  [ Hu Kang ]
  * gtk-window-decorator: destroy action menu when any of the (close,
    min, max) buttons on the title bar is pressed. (LP: #1101648)
  * Remove redundant src/logmessage/include/core/logmessage.h (LP:
    #1067246). (LP: #1067246)

  [ Steve Langasek ]
  * Fix for bug #763148 (with added test cases): when the desktop is
    resized, windows should stay on their original workspace. (LP:
    #763148)

  [ Brandon Schaefer ]
  * Unrevert 3728, fix failing tests. Change the behaviour of
    undecorating windows. Previously when a window was undecorated, we
    would shift it back to an appropriate position according to its
    gravity member. That behaviour was problematic because in the
    StaticGravity case the window has to just stay in the same place.
    But then if you had a window with StaticGravity which then did get a
    decoration and later removed it, it would be placed as though it was
    decorated and appear to be in the wrong place. The correct behaviour
    is to place all windows as though they have decorations, and then
    when decorations are removed, to move the window back to the corner
    as indicated in its gravity and then expand its size to cover the
    obscured regions no longer hidden because the decorations went away.
    (LP: #1165343).   1. Completely remove decorOffsetMove and other
    related code from      decor.cpp. Put the logic to handle the
    window->input () - window->border ()      placement offset inside of
    setWindowFrameExtents instead. Now the window      will always be
    offset from its original non-decorated position to the new
         decorated position, rather than having to guess between
    decoration sizes.   2. Make saveGeometry and restoreGeometry work
    relative to window->border ()      a...

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
Arnaud Thevenet (aeromousse) wrote :

Hi all,

If I well understood, the fix is provided in the dev ppa, as I still have compiz 1:0.9.9 on my up-to-date 13.04.

But, if it can be useful before the fix is released for everyone, a quick workaround is to open Unity Tweak Tool, Hotcorners tab, switch off Hotcorners (with General button) and switch it back on.
The hotcorners works again without the need for logging out or restart compiz.

Arnaud Thevenet (aeromousse) wrote :

OK, sorry for the confusion, compiz 0.9.10 is due for Saucy. I did not see it.

Anyone confirms that "On/Off" switch in Unity Tweak workarounds the issue?

At least for me it works, and is much more convenient than re-log or restart compiz...

Andy Morris (andygmorris) wrote :

Hi all (developers),

In Ubuntu 13.10, fully up to date, this problem is still ongoing, for me anyways.

The only way to get my Hot Corners working again is to open Unity Tweak Tool, disable and then re-enable hot corners. Once I've done this, hot corners are effective again immediately (just as they should've been after login).

What information do you need to investigate this?

Gruia Catalin (catalynn-nr1) wrote :

I also use Ubuntu 13.10 with latest updates installed, and the problem is still unfixed. The only problem I have in hot corners is with "toggle desktop" option, everything else it's functioning normal. Even if I try to turn Hot Corners On/Off the toggle option still nor working.

I hope this gets fixed soon, because I hate to use Ctrl + Super + D

Same problem in Ubuntu 14.04, disable and re-enable seems to works.

christian (chmathieu) wrote :

hello !

Same problem in Ubuntu 14.04.
Disable and re-enable hot corners in Unity Tweak Tool works.

Zwylicht (zwylicht) wrote :

As for me the problem is fixed.

Stephen M. Webb (bregma) on 2014-04-15
Changed in unity:
status: Confirmed → Invalid
mo (chilloutmo) wrote :

Hi, I just upgraded and in Ubuntu 14.04 the problem still persists with the "Toggle Desktop" function which is randomly broken so that it even can't be fixed by the workaround with Unity Tweak Tool.

VicBlack (vcamachoalba) wrote :

Hi
I have the same problem with clean install of ubuntu 14.04
Disable and re-enable hot corners in Unity Tweak Tool or Compiz-settings works.
Is it problem of proprietary Nvidia driver?

Download full text (4.9 KiB)

Hi VicBlack,

No, it is not a problem of proprietary Nvidia driver?
It happens on X.org driver and on AMD/ATI Radeon driver too.

I'm not an Ubuntu Developer, so I can't help you further, but I thought I'd
answer your question so that you get a quick reply.

Regards,

Andy

On 22 April 2014 16:53, VicBlack <email address hidden> wrote:

> Hi
> I have the same problem with clean install of ubuntu 14.04
> Disable and re-enable hot corners in Unity Tweak Tool or Compiz-settings
> works.
> Is it problem of proprietary Nvidia driver?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/858845
>
> Title:
> Screen edge actions set in CCSM (scale/expo) don't work (sometimes) -
> Wall plugin is probably responsible
>
> Status in Compiz:
> Fix Released
> Status in Unity:
> Invalid
> Status in “compiz” package in Ubuntu:
> Fix Released
>
> Bug description:
> PROBLEM:
> If the unityshell plugin is loaded after compiz plugins like scale or
> expo, those plugins will lose their "active corner" settings. The settings
> are still set but don't have any effect. Keyboad shortcuts are not affected.
>
> This looks like a problem in the unityshell plugin.
>
> WORKAROUND:
> Re-order the list of plugins to move expo and scale (or whatever else
> you use) behind unityshell.
>
> In 12.04 the list of plugins is found in this gconf key
> /apps/compiz-1/general/screen0/options/active_plugins
>
> In 12.10 it is this dconf key
> /org/compiz/profiles/unity/plugins/core/active-plugins
> ( for some with 12.10 it may be at
> /org/compiz/profiles/unity/plugins-with-set-keys )
> --
> old description
> --
> I have set expo edge to bottom right. After reboot, often this setting
> does not seem to work. To re-enable expo edge, I have to clear it in
> compizconfig settings manager and re-set it to bottom right.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: compiz 1:0.9.5.94+bzr20110919-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
> Uname: Linux 3.0.0-11-generic x86_64
> NonfreeKernelModules: fglrx
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.23-0ubuntu1
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,snap,place,imgpng,compiztoolbox,gnomecompat,grid,move,vpswitch,mousepoll,resize,regex,session,unitymtgrabhandles,wall,animation,expo,workarounds,fade,scale,unityshell]
> CompositorRunning: compiz
> Date: Sun Sep 25 17:26:13 2011
> DistUpgraded: Log time: 2011-09-02 13:23:21.116927
> DistroCodename: oneiric
> DistroVariant: ubuntu
> DkmsStatus:
> fglrx, 8.881, 3.0.0-10-generic, x86_64: installed
> fglrx, 8.881, 3.0.0-11-generic, x86_64: installed
> GraphicsCard:
> ATI Technologies Inc Madison [Mobility Radeon HD 5000 Series]
> [1002:68c0] (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:02fe]
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> JockeyStatus:
> kmod:fglrx - ATI Fire GL (Proprietary, Disabled, Not in use)
> xorg:fglrx - ATI/AMD proprietary FGLRX graphics driver (Proprietary,
> En...

Read more...

VicBlack (vcamachoalba) wrote :

Hi Andy...
thanks for your answer.
He said it because I switched to nouveau driver and it seems working.
I will do more tests.
Thanks again

monkeybrain2012 (kammon101) wrote :

I can confirm that expo/scale hot corners don't work in 14.04 . This is an Intel machine (ironlake gpu) , so it has nothing to do with Nvidia or nouveau.

Also the workarounds that involve re-ordering the plugins in ccsm (disable auto-sorting) and /or dconf/gconf editor for previous versions of Ubuntu don't work anymore. In 14.04 expo hot corner won't work unless it is at the very bottom of the list. Scale cannot be further down than Unity shell or initiating scale would kill unity.

A work around would be to add the command "unity --replace" to startup application. It works, but very ugly.

monkeybrain2012 (kammon101) wrote :

Turns out the start up command is not such a good idea, it leads to some graphic glitches as well as momentarily freezing, maybe it is restarting unity constantly? Also running unity --restart somehow removes the orange outline of highlighted workplace in expo and leaves for ugly black edges.

Andy Morris (andygmorris) wrote :
Download full text (5.0 KiB)

Nice to see someone's still playing with this to try and find a final
solution.

Me, I gave up trying to figure it out as Xfce is my primary desktop.

Still, thanks to anyone who's willing to give it a go... [thumbs-up!]

Regards,

Andy

On 26 April 2014 16:04, monkeybrain2012 <email address hidden> wrote:

> Turns out the start up command is not such a good idea, it leads to some
> graphic glitches as well as momentarily freezing, maybe it is restarting
> unity constantly? Also running unity --restart somehow removes the
> orange outline of highlighted workplace in expo and leaves for ugly
> black edges.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/858845
>
> Title:
> Screen edge actions set in CCSM (scale/expo) don't work (sometimes) -
> Wall plugin is probably responsible
>
> Status in Compiz:
> Fix Released
> Status in Unity:
> Invalid
> Status in “compiz” package in Ubuntu:
> Fix Released
>
> Bug description:
> PROBLEM:
> If the unityshell plugin is loaded after compiz plugins like scale or
> expo, those plugins will lose their "active corner" settings. The settings
> are still set but don't have any effect. Keyboad shortcuts are not affected.
>
> This looks like a problem in the unityshell plugin.
>
> WORKAROUND:
> Re-order the list of plugins to move expo and scale (or whatever else
> you use) behind unityshell.
>
> In 12.04 the list of plugins is found in this gconf key
> /apps/compiz-1/general/screen0/options/active_plugins
>
> In 12.10 it is this dconf key
> /org/compiz/profiles/unity/plugins/core/active-plugins
> ( for some with 12.10 it may be at
> /org/compiz/profiles/unity/plugins-with-set-keys )
> --
> old description
> --
> I have set expo edge to bottom right. After reboot, often this setting
> does not seem to work. To re-enable expo edge, I have to clear it in
> compizconfig settings manager and re-set it to bottom right.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: compiz 1:0.9.5.94+bzr20110919-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
> Uname: Linux 3.0.0-11-generic x86_64
> NonfreeKernelModules: fglrx
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.23-0ubuntu1
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,snap,place,imgpng,compiztoolbox,gnomecompat,grid,move,vpswitch,mousepoll,resize,regex,session,unitymtgrabhandles,wall,animation,expo,workarounds,fade,scale,unityshell]
> CompositorRunning: compiz
> Date: Sun Sep 25 17:26:13 2011
> DistUpgraded: Log time: 2011-09-02 13:23:21.116927
> DistroCodename: oneiric
> DistroVariant: ubuntu
> DkmsStatus:
> fglrx, 8.881, 3.0.0-10-generic, x86_64: installed
> fglrx, 8.881, 3.0.0-11-generic, x86_64: installed
> GraphicsCard:
> ATI Technologies Inc Madison [Mobility Radeon HD 5000 Series]
> [1002:68c0] (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:02fe]
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> JockeyStatus:
> kmod:fglrx - ATI Fire GL (Proprietary, Disabled, Not in use)
> ...

Read more...

matthieu vidal (mvidal0001) wrote :

I gave up too

e18

invading other open source projects is not the solution !

monkeybrain2012 (kammon101) wrote :

I could be wrong but I don't think scale was listed as an unity-plugin dependencies before, but it is in 14.04. That may explain why the previous work around no longer works (can't put scale further down than unity-shell or initiating scale hot corner would kill unity)

monkeybrain2012 (kammon101) wrote :

This is a crude temporary work around.
Make a bash script

#!/bin/bash
setsid unity

Then add it to 'startup applications' so it runs automatically on startup
Rebooted and cold booted may be 20 times and have been working except maybe twice or three times where the session might be corrupted (show black borders when exposing workplaces instead of the orange high lighter) There may be a slight delay in login time but not obvious here.

Arnaud Thevenet (aeromousse) wrote :

I still have this bug in a fresh 14.04, but the workaround I reported still works too : open Unity Tweak Tool, and in Hot Corners, switch off and back on. The hot corners works instantly.
Might be nicer than the crude workarounds... it it works for you.

monkeybrain2012 (kammon101) wrote :

After yesterday's update it seems to be "fixed". Yay!

Still need the following workaround:
Open ccsm, go to Preferences and disable auto-sorting. Expo has to be at the bottom of the plugin list for hot corner to be remembered. Then followed by (in ascending order, i.e going up the list) scaleaddon, unity shell and scale so hot corner for spread (scale) would work too. Basically the same work around in 13.10 but the order wasn't as stringent before. In particular hot corner for expo used to work without being near the bottom of the plugin list.

Haven't brought in edge flip for wall, I just set the unity launcher to auto-hide this time. Not sure if edge flip will work (used to have to place wall at the bottom, but the spot is now taken by expo, if put it in second place scale get pumped up so that may not work)

It is not really a fix but at least the work around from before sort of works. I am relief.

VicBlack (vcamachoalba) wrote :

Works fine for me :)
Thanks

pavel7002007 (pavel7002007) wrote :

For me sorting list of plugins dont help, but i think i have some solution. In compiz GeneralSettings->KeyBindings i set my combinations for MinimizeWindow for example or MaximizeWindow.
So after reboot i open window and press one of this combinations and after that hot corners are working. (sorry fo my english))
ps. i have ubuntu 14.04

tags: added: 14.04

I have tried fix from @kammon101 with no luck, as I cannot find the "scaleaddon" plugin (just "scale" plugin appears on my list).

I think we should continue debugging this issue, and try to find a more stable workaround (the "unity --replace" command is working though, it's ugly to restart the session because it cannot start correctly with hot-corners!)

Just my two cents.

Arnaud Thevenet (aeromousse) wrote :

In short, this issue is not fixed. Any fresh 14.04 installation with hot corners enabled will have hot corners inactive once out of two (approximately...). My hot corners are set to "Show desktops" on bottom right, "Windows spread" on bottom left.

My workaround (open Unity Tweak Tool, disable and enable back hot corners) still works every time.

I think this, on top of being very annoying for those who use hot corners, prevent Ubuntu from reaching the nice usability it pretends to have. This unfortunately works very fine on Macs...

Hot corners have been available for years in Compiz, but never really neatly integrated in Ubuntu.

Any news about what is planned about this?
Thanks to all.

matthieu vidal (mvidal0001) wrote :

The problem is still there with

Ubuntu 14.10 alpha 2

Sergio Torres (sergiotca) wrote :

Fresh 14.04 install, bug still present.
As stated by others, the workaround is to go back to unity tweak tool and turn active corners off an back on.

I'm not really on the position of bringing any definitive solutions to the table, but I'm willing to provide documentation of the error if someone ask for it (and describes exactly what is needed).

This relative "simple stuff" is what damages Ubuntu image on the eyes of new adopters (or potential ones).

Ubuntu 14.04 on intel graphics: bug still present.

Arnaud Thevenet (aeromousse) wrote :

The workaround which consists of disabling the automatic sorting and set unity before expo and scale plugins, which has been working for a while, will now make compiz CRASH WITH SIGSEGV EVERYTIME I use the corner action which triggers "Window spread".
I reproduced it on three different machines (laptop, workstation, personal PC) on 14.04 with all updates. It can be reproduced any time just after login.

This behaviour has made users spend a lot of time trying to solve it and reporting, and has driven me beyond reasonable patience.
Can anyone at least inform us about ongoing fixing?
Thanks.

Mik Wind (evilpollo) wrote :

Still no fix, or an acceptable workaround for that matter... but Ive found some strange behaviour:

the setting for the edge bindings ( in gconf) isn't set, although it is set in CCSM :
/apps/compiz1/plugins/expo/screen0/options

or the scale one...

also, setting it up manually using gconf it doesn't fix the problem, however, if I open up the gconf editor, the expo edge will start working after 10 seconds except when a windos is touching that edge, I'm completly puzzled.

unity --replace still works, sometimes unity crashes and one needs to run the command twice...

This problem still affects me. I've upgraded to Ubuntu 14.10 with a new SDD drive, and the problem disappeared for several months and came back afterwards.

Can I theorize that the loading time might be related to this one?

Is anyone using Ubuntu 15.04 and can confirm if that fixes this one? Thanks in advance

Changed in unity-tweak-tool:
assignee: nobody → Cruz Fernandez (cruz-fernandez)

Will this _ever_ be fixed? It's been two years and the bug is still affecting ubuntu 14.04!
This is ridiculous...

Arnaud Thevenet (aeromousse) wrote :

Agreed. It still badly affects new users experience. And others desktops than unity starts to have hot corners working fine out of the box...

Is it supposed to be fixed by a new version of Unity or Compiz in 16.04 LTS ?

Rafael Nonato (rafaeln) wrote :

The only workaround that manages this issue for me is adding to autostart a
script with the line `sleep 5 && compiz --replace`

Em dom, 20 de set de 2015 14:10, Arnaud Thevenet <email address hidden>
escreveu:

> Agreed. It still badly affects new users experience. And others desktops
> than unity starts to have hot corners working fine out of the box...
>
> Is it supposed to be fixed by a new version of Unity or Compiz in 16.04
> LTS ?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (860375).
> https://bugs.launchpad.net/bugs/858845
>
> Title:
> Screen edge actions set in CCSM (scale/expo) don't work (sometimes) -
> Wall plugin is probably responsible
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/858845/+subscriptions
>

doc ccb (doc-cliff) wrote :

Ubuntu 15.10 - still having to go to UTT and disable-reenable hot corners after some random reboots.

Changed in unity-tweak-tool:
assignee: Cruz Fernandez (cruz-fernandez) → nobody

Maybe we should close this issue? I've seen there are working a workaround somewhere else

Martin Wildam (mwildam) wrote :

Had the similar issues now and it looks like - after some experiments - that unity tweak tool is compromising ccsm settings somehow. I have deaktivated workspace settings, window spread, window snapping, hot corners and then reapplied my ccsm settings (from a backup file). Now it seems that all my ccsm settings work (even after reboot).

Martin Wildam (mwildam) wrote :

OK, @rafaeln, you are right - the only reliable workaround is the sleep + compiz --replace.
In my case the 5 seconds were either a little short.
I am now using
sleep 10
compiz --replace &

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.